Skip to content

V1.0

AI Hair Length Detection API allows you to detect the length of hair in images.

Run an Hair Length Detection task.

Request

Please refer to the polling guide for checking task status.

Security
BearerAuthenticationV2
Bodyapplication/jsonrequired
Any of:
src_file_urlstringrequired

Url of the file to run task. The url should be publicly accessible.

Example:"https://example.com/selfie.jpg"
POST
/s2s/v2.0/task/hair-length-detection
curl -i -X POST \
  https://yce-api-01.makeupar.com/s2s/v2.0/task/hair-length-detection \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "src_file_url": "https://example.com/selfie.jpg"
  }'

Responses

Successful execution of the task

Bodyapplication/json
statusinteger

Response status

Example:200
dataobject
Response
{ "status": 200, "data": { "task_id": "grH0CvsgXuAIHLUzD0V1Ol34hoet3R1tvdbtiVHrDb6_UqCLKIejAIajwxrhOAfe" } }